Subject: Re: bug#32894: Exception in validate-runpath phase

From: Julien Lepiller <[email-masked]>
Date: Wed, 03 Oct 2018 10:14:21 +0200

Le 2018-10-02 14:31, [email-masked] a écrit :
> Hello Julien,
> 
> [...]
> 
> Then again, these are “.debuginfo” files so perhaps they are the result
> of home-made ELF stripping (we don’t have this problem with “.debug”
> files created with objcopy & co.).
> 
> I can see two short-term “solutions”:
> 
>   1. Remove those .debuginfo files prior to the ‘validate-runpath’
>      phase.
> 
>   2. Set #:validate-runpath? #f.
> 
> Could you check in your build logs how those .debuginfo files are 
> produced?
> 
> HTH!
> 
> Ludo’.

As a workaround, I found that passing --with-native-debug-symbols=zipped 
to the configure script allowed validate-runpath to complete 
successfully. This option is documented as the prefered value for 
distributions, so I think it's a good thing to have. I creates zipped 
versions of these .debuginfo files, so validate-runpath doesn't look at 
them.

There is no mention of debuginfo until the install phase in my build 
log, so I don't know how they are built.